# QueryBestContent(IEnumerable\<ContentSaliencyOption>)

Method in [BestSaliencyStrategy](/api/csharp/yarn.saliency/yarn.saliency.bestsaliencystrategy.md)

## Summary

Chooses an item from content that is the most appropriate (or *salient* ) for the user's current context.

```csharp
public ContentSaliencyOption? QueryBestContent(IEnumerable<ContentSaliencyOption> content)
```

## Remarks

Implementations of this method should not modify any state

* that is, they should be 'read-only' operations. If a strategy needs to record information about when a piece of content has been selected, it should do it in the [ContentWasSelected(ContentSaliencyOption)](/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy/yarn.saliency.icontentsaliencystrategy.contentwasselected.md) method.

## Parameters

| Name                                                                                  | Description                                                  |
| ------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| `System.Collections.Generic.IEnumerable<Yarn.Saliency.ContentSaliencyOption>` content | A collection of content items. This collection may be empty. |

## Returns

An item from `content` that is the most appropriate for display, or `null` if no content should be displayed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.bestsaliencystrategy/yarn.saliency.bestsaliencystrategy.querybestcontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
